[FFmpeg-cvslog] fate/source-check.sh: Use "git show" instead of git --version to test for git

Michael Niedermayer git at videolan.org
Mon Feb 15 03:51:24 CET 2016


ffmpeg | branch: master | Michael Niedermayer <michael at niedermayer.cc> | Mon Feb 15 03:40:32 2016 +0100| [295de3efc53efa3945c3116b5a910b1464632358] | committer: Michael Niedermayer

fate/source-check.sh: Use "git show" instead of git --version to test for git

This fixes fate with non git source trees

Signed-off-by: Michael Niedermayer <michael at niedermayer.cc>

> http://git.videolan.org/gitweb.cgi/ffmpeg.git/?a=commit;h=295de3efc53efa3945c3116b5a910b1464632358
---

 tests/fate/source-check.sh |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/fate/source-check.sh b/tests/fate/source-check.sh
index 33affae..ac2878d 100755
--- a/tests/fate/source-check.sh
+++ b/tests/fate/source-check.sh
@@ -2,7 +2,7 @@
 
 cd "$1"/..
 
-git --version > /dev/null || { cat tests/ref/fate/source ; exit 0; }
+git show > /dev/null 2> /dev/null || { cat tests/ref/fate/source ; exit 0; }
 
 echo Files without standard license headers:
 git grep -L -E "This file is part of FFmpeg|This file is part of libswresample|"\



More information about the ffmpeg-cvslog mailing list